// priority: 0

console.info('Hello, World! (You will see this line every time server resources reload)')

LootJS.modifiers(event => {

event.addLootTableModifier(/.*/)
	.removeLoot("minecraft:shield")
})

ServerEvents.recipes(event => {
	
//FOOD
	event.remove({id: 'minecraft:bread'})
	event.remove({id: 'regions_unexplored:barley_smelting'})
	event.remove({id: 'regions_unexplored:barley_smoking'})
	event.shapeless('brewery:barley_seeds', ['regions_unexplored:barley'])

//FIEFDOM BOOK

	event.smelting(Item.of('patchouli:guide_book',{"patchouli:book": "patchouli:fiefdom_guide"}), 'minecraft:dirt')

	//SHIELDS


	
	event.remove({id: 'magistuarmory:wood_buckler'})
	event.shaped('magistuarmory:wood_buckler', [
    '   ',
    'OOI',
    'OO '
  ], {
		O: '#minecraft:planks',
		I: 'minecraft:copper_ingot'	})
		
	event.remove({id: 'magistuarmory:wood_target'})
	event.shaped('magistuarmory:wood_target', [
    '   ',
    'OO ',
    'OOI'
  ], {
		O: '#minecraft:planks',
		I: 'minecraft:copper_ingot'	})
		
	event.remove({id: 'magistuarmory:stone_buckler'})	
	event.shaped('magistuarmory:stone_buckler', [
    '   ',
    'OOI',
    'OO '
  ], {
		O: '#forge:cobblestone',
		I: 'minecraft:copper_ingot'	})
		
	event.remove({id: 'magistuarmory:stone_target'})
	event.shaped('magistuarmory:stone_target', [
    '   ',
    'OO ',
    'OOI'
  ], {
		O: '#forge:cobblestone',
		I: 'minecraft:copper_ingot'	})	
	
	event.shaped('24x minecraft:paper', [
    'OO ',
    'OO ',
    'OO '
  ], {
		O: 'minecraft:birch_log' })
	
	event.shaped('3x minecraft:paper', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'minecraft:bamboo' })

//REMOVE CATACLYSM GUNS

	event.remove({output: 'cataclysm:laser_gatling'})
	event.remove({output: 'cataclysm:wither_assault_shoulder_weapon'})
	event.remove({output: 'cataclysm:void_assault_shoulder_weapon'})

	event.shaped('3x cataclysm:witherite_ingot', [
    ' I ',
    'ICI',
    ' I '
  ], {
		C: 'minecraft:redstone_block', 
		I: 'cataclysm:black_steel_ingot'})


	
//CHAINMAIL

	event.remove({id: 'minecolonies:chainmailhelmet'})
	event.remove({id: 'minecolonies:chainmailchestplate'})
	event.remove({id: 'minecolonies:chainmailleggings'})
	event.remove({id: 'minecolonies:chainmailboots'})
	
	event.shaped('minecraft:chainmail_boots', [
    '   ',
    'C C',
    'I I'
  ], {
		C: 'magistuarmory:steel_chainmail', 
		I: 'minecraft:iron_ingot'})
	
	event.shaped('minecraft:chainmail_leggings', [
    'CCC',
    'I I',
    'C C'
  ], {
		C: 'magistuarmory:steel_chainmail', 
		I: 'minecraft:iron_ingot'})
	
	event.shaped('minecraft:chainmail_chestplate', [
    'I I',
    'CCC',
    'CCC'
  ], {
		C: 'magistuarmory:steel_chainmail', 
		I: 'minecraft:iron_ingot'})
	
	event.shaped('minecraft:chainmail_helmet', [
    'CIC',
    'C C',
    '   '
  ], {
		C: 'magistuarmory:steel_chainmail', 
		I: 'minecraft:iron_ingot'})
	
	event.remove({id: 'alexsmobs:blood_sprayer'})
	event.remove({id: 'twilightforest:equipment/knightmetal_shield'})
	event.remove({id: 'undergarden:cloggrum_shield'})
	event.remove({id: 'alexsmobs:shield_of_the_deep'})
	event.remove({id: 'twilightforest:uncrafting_table'})
	event.remove({id: 'apotheosis:reforging_table'})
	event.remove({id: 'apotheosis:salvaging_table'})
	
	
// TELEPORT
	
	event.remove({id: 'waystones:warp_stone'})
	
	event.shaped('waystones:warp_stone', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'minecraft:emerald',
		S: 'waystones:warp_scroll'
		 })
	
	
	event.remove({id: 'tombstone:tablet_of_recall'})
	event.remove({id: 'tombstone:tablet_of_home'})
	event.remove({id: 'tombstone:tablet_of_assistance'})
	event.remove({id: 'tombstone:tablet_of_cupidity'})
	
	event.shaped('tombstone:tablet_of_recall', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'tombstone:grave_dust',
		S: 'tombstone:strange_tablet'
		 })
	event.shaped('tombstone:tablet_of_home', [
    'IQI',
    'NSN',
    'IQI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'tombstone:grave_dust',
		S: 'tombstone:strange_tablet',
		Q: 'minecraft:quartz'
		 })
	event.shaped('tombstone:tablet_of_assistance', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'levelhearts:heart_piece',
		S: 'tombstone:strange_tablet'
		 })
	
	event.shaped('tombstone:tablet_of_cupidity', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'dotcoinmod:iron_coin',
		S: 'tombstone:strange_tablet'
		 })
})


